directories:
  output: build
  buildResources: resources
appId: cz.techzie.herpadex
productName: Herpadex
asar: true
files:
  - filter:
      - dist/App/browser/**/*
      - electron/**/*
      - package.json
extraResources:
  - from: resources/icon.png
    to: icon.png
publish:
  - provider: generic
    url: https://updates-herpadex.techzie.cz/
artifactName: ${productName}-${version}-${os}-${arch}.${ext}
win:
  icon: public/favicon.ico
  target:
    - target: nsis
      arch:
        - x64
linux:
  icon: resources
  executableName: herpadex
  desktop:
    Name: Herpadex
    StartupWMClass: Herpadex
  target:
    - target: AppImage
      arch:
        - x64
  category: Utility
electronVersion: 30.5.1
